IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[SPUSS_219_EVDE_SAGLIK_HIZMETI_ILK_IZLEM]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE SPUSS_219_EVDE_SAGLIK_HIZMETI_ILK_IZLEM
GO

CREATE PROCEDURE [dbo].[SPUSS_219_EVDE_SAGLIK_HIZMETI_ILK_IZLEM] 
	@HDOSYAID INT=0,
	@HMUAYENEID INT=0,
	@TUMUNUTEKRAR BIT = 0
	 	 
AS
BEGIN
	--SPUSS_219_EVDE_SAGLIK_HIZMETI_ILK_IZLEM 165788,115370,1
	DECLARE @HATA NVARCHAR(2000) = ''
	DECLARE @MESAJ NVARCHAR(2000) = ''
	DECLARE @SAYIHATA BIT = 0
	DECLARE @XMLBASLIK NVARCHAR(2000) = ''
	DECLARE @SUBEID INT = 1
	DECLARE @goNDERIMTABLOSU TABLE 
		(
			goNDERILECEKXML XML,
			HATA NVARCHAR(2000),
			MESAJ NVARCHAR(2000),	
			XMLBASLIK NVARCHAR(3500),
			TABLOID INT,
			MINID INT,
			MAXID INT
		)
	
	IF OBJECT_ID('tempdb..#TMPUSSDIGER') IS NOT NULL 
	DROP TABLE #TMPUSSDIGER


SELECT  

USS219.ID USSDIGER_ID,
USS219.HDOSYAID,
USS219.HMUAYENEID,
USS219.HKIMLIKID,
USS219.HYATISID,
USS219.AGRI AGRI_ID,
TAGRI.AD AGRI_ADI ,

USS219.AYDINLATMA AYDINLATMA_ID,
TAYDINLATMA.AD AYDINLATMA_ADI,

USS219.BAKIM_VE_DESTEK_IHTIYACI BAKIM_VE_DESTEK_IHTIYACI_ID,
TBAKIM_VE_DESTEK_IHTIYACI.AD BAKIM_VE_DESTEK_IHTIYACI_ADI,

USS219.BASI_DEGERLENDIRMESI BASI_DEGERLENDIRMESI_ID,
TBASI_DEGERLENDIRMESI.AD BASI_DEGERLENDIRMESI_ADI,

USS219.BASVURU_TURU BASVURU_TURU_ID,
TBASVURU_TURU.AD BASVURU_TURU_ADI,

USS219.BESLENME BESLENME_ID,
TBESLENME.AD BESLENME_ADI,

USS219.BIR_SONRAKI_HIZMET_IHTIYACI BIR_SONRAKI_HIZMET_IHTIYACI_ID,
TBIR_SONRAKI_HIZMET_IHTIYACI.AD BIR_SONRAKI_HIZMET_IHTIYACI_ADI,

/*<EVDE_SAGLIK_HIZMETINE_ESAS_HASTALIK_GRUBU version="1" codeSystemGuid="c3eaabad-8c4c-56ee-e043-14031b0a5530" code="Code" value="EVDE_SAGLIK_HIZMETINE_ESAS_HASTALIK_GRUBU" />*/

(SELECT TOP 1 ICDKOD FROM HDOSYAICD WHERE HDOSYAICD.HDOSYAID=HDOSYA.HDOSYAID ORDER BY ANATANI DESC) EVDE_SAGLIK_HIZMETINE_ESAS_HASTALIK_GRUBU_ID,
(SELECT TOP 1 (SELECT TICD.ICDADI FROM TICD WHERE TICD.ICDKOD=HDOSYAICD.ICDKOD) FROM HDOSYAICD WHERE HDOSYAICD.HDOSYAID=HDOSYA.HDOSYAID ORDER BY ANATANI DESC) EVDE_SAGLIK_HIZMETINE_ESAS_HASTALIK_GRUBU_ADI,

USS219.EV_HIJYENI EV_HIJYENI_ID,
TEV_HIJYENI.AD EV_HIJYENI_ADI,
USS219.GUVENLIK GUVENLIK_ID,
TGUVENLIK.AD GUVENLIK_ADI,
USS219.ISINMA ISINMA_ID,
TISINMA.AD ISINMA_ADI,
USS219.KISISEL_BAKIM KISISEL_BAKIM_ID,
TKISISEL_BAKIM.AD KISISEL_BAKIM_ADI,
USS219.KISISEL_HIJYEN KISISEL_HIJYEN_ID,
TKISISEL_HIJYEN.AD KISISEL_HIJYEN_ADI,
USS219.KONUT_TIPI KONUT_TIPI_ID,
TKONUT_TIPI.AD KONUT_TIPI_ADI,
USS219.KULLANILAN_HELA_TIPI KULLANILAN_HELA_TIPI_ID,
TKULLANILAN_HELA_TIPI.AD KULLANILAN_HELA_TIPI_ADI,
USS219.YATAGA_BAGIMLILIK YATAGA_BAGIMLILIK_ID,
TYATAGA_BAGIMLILIK.AD YATAGA_BAGIMLILIK_ADI,

USS219.KULLANDIGI_YARDIMCI_ARACLAR KULLANDIGI_YARDIMCI_ARACLAR_ID,
TKULLANDIGI_YARDIMCI_ARACLAR.AD KULLANDIGI_YARDIMCI_ARACLAR_ADI,

USS219.PSIKOLOJIK_DURUM_DEGERLENDIRMESI PSIKOLOJIK_DURUM_DEGERLENDIRMESI_ID,
TPSIKOLOJIK_DURUM_DEGERLENDIRMESI.AD PSIKOLOJIK_DURUM_DEGERLENDIRMESI_ADI,

USS219.VERILEN_EGITIMLER VERILEN_EGITIMLER_ID,
TVERILEN_EGITIMLER.AD VERILEN_EGITIMLER_ADI,

HDOSYA.SUBEID HDOSYA_SUBEID
	  ,SUBELER.SUBEADI SUBELER_SUBEADI
	  ,HDOSYA.SNOTAKIPNO HDOSYA_SNOTAKIPNO
	  ,		 ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numarali subede Yenidoğanların Kimliksiz fatura edilebilir gün sayısı'),'') 	AS SAGLIKNETKIMLIKSIZYENIDOGANGUN,

		CASE WHEN (SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND /* VALUESTR='1' AND*/ KEYNAME LIKE CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaral% %ubede Sa%l%k Net Online test modu aktif')='1' THEN
			'10000038' 
		ELSE
			ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaralı şubenin kurum numarası'),'') 
		END AS SAGLIKNETKURUMKODU,

			CASE WHEN (SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND /* VALUESTR='1' AND*/ KEYNAME LIKE CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaral% %ubede Sa%l%k Net Online test modu aktif')='1' THEN
			'3bc26a7d-4a19-4edf-ab9f-1413ac85e7d0' /*TEST KTS FİRMA KODU*/
		ELSE
			'C740D0288ED4C45FE0407C0A04162BDD'  /*KTS TALYA*/ 
		END AS SNOKTSFIRMAKODU,

		ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numarali subede Hasta kayıt gönderiminde referans no ön Karakteri'),'') AS REFNOONEK

INTO #TMPUSSDIGER

FROM 
USS219_EVDE_SAGLIK_HIZMETI_ILK_IZLEM USS219
INNER JOIN HDOSYA ON HDOSYA.HDOSYAID = USS219.HDOSYAID
LEFT JOIN HKIMLIK ON HKIMLIK.HKIMLIKID=HDOSYA.HKIMLIKID
LEFT JOIN	SUBELER ON SUBELER.SUBEID=HDOSYA.SUBEID
--<AGRI version="1" codeSystemGuid="a87d1c7a-36f1-4950-87a3-0cc1b61c1265" code="Code" value="AGRI" />
LEFT JOIN 
(
	SELECT 'VAR' AD, 1 ID
	UNION ALL
	SELECT 'YOK' AD, 97 ID
) TAGRI ON TAGRI.ID=USS219.AYDINLATMA
--<AYDINLATMA version="1" codeSystemGuid="cd2deead-3154-424b-88de-85b38ff63958" code="Code" value="AYDINLATMA" />
LEFT JOIN 
(
   SELECT 'YETERLİ' AD, 1 ID
	UNION ALL
	SELECT 'YETERLİ DEĞİL' AD, 2 ID
)TAYDINLATMA ON TAYDINLATMA.ID=USS219.AYDINLATMA

--<BAKIM_VE_DESTEK_IHTIYACI version="1" codeSystemGuid="9b5502a4-93a7-4594-88e6-3eeaf0c302c1" code="Code" value="BAKIM_VE_DESTEK_IHTIYACI" />
LEFT JOIN
(
    SELECT 'BAKIM VE DESTEK İHTİYACI YOK' AD, 1 ID
	UNION ALL
	SELECT 'TIBBİ BAKIM İHTİYACI VAR' AD, 2 ID
	UNION ALL
	SELECT 'SOSYAL HİZMET DESTEK VE YARDIM İHTİYACI VAR' AD, 3 ID
) TBAKIM_VE_DESTEK_IHTIYACI ON TBAKIM_VE_DESTEK_IHTIYACI.ID=USS219.BAKIM_VE_DESTEK_IHTIYACI

--<BASI_DEGERLENDIRMESI version="1" codeSystemGuid="26f3177d-b761-4e29-bbbc-b4fac7df3322" code="Code" value="BASI_DEGERLENDIRMESI" />
LEFT JOIN
(
  SELECT 'VAR' AD, 1 ID
	UNION ALL
  SELECT 'YOK' AD, 97 ID
) TBASI_DEGERLENDIRMESI ON TBASI_DEGERLENDIRMESI.ID=USS219.BASI_DEGERLENDIRMESI

--<BASVURU_TURU version="1" codeSystemGuid="8f04bf30-3501-4080-91df-458e20917be2" code="Code" value="BASVURU_TURU" />
LEFT JOIN 
(
SELECT 'AİLE HEKİMİ' AS AD, 1 AS ID
UNION ALL
SELECT 'HASTANE ÇIKIŞI HEKİMİ', 2
UNION ALL
SELECT 'HASTANE EVDE SAĞLIK HİZMET BİRİMİ', 3
UNION ALL
SELECT 'İLETİŞİM KOORDİNASYON MERKEZİ', 4
UNION ALL
SELECT 'MOBİL BİRİM', 5
UNION ALL
SELECT 'DİĞER', 98

) TBASVURU_TURU ON TBASVURU_TURU.ID=USS219.BASVURU_TURU

--<BESLENME version="1" codeSystemGuid="6a220e1d-3865-4cab-b98f-b7933d9aa1ba" code="Code" value="BESLENME" />
LEFT JOIN
(
  SELECT 'YETERLİ' AD, 1 ID
	UNION ALL
  SELECT 'YETERSİZ' AD, 2 ID
)TBESLENME ON TBESLENME.ID=USS219.BESLENME

--<BIR_SONRAKI_HIZMET_IHTIYACI version="1" codeSystemGuid="1ac7dc71-e09d-4ddd-bea5-179735d35246" code="Code" value="BIR_SONRAKI_HIZMET_IHTIYACI" />
LEFT JOIN 
(
SELECT 'AİLE HEKİMİ DEĞERLENDİRİLMESİ' AS AD, 1 AS ID
UNION ALL
SELECT 'AİLE/BAKICI EĞİTİMİ', 2
UNION ALL
SELECT 'DİYETİSYEN', 3
UNION ALL
SELECT 'FİZYOTERAPİST', 4
UNION ALL
SELECT 'HEYET RAPORU', 5
UNION ALL
SELECT 'SOSYAL ÇALIŞMACI', 6
UNION ALL
SELECT 'UZMAN HEKİM/KONSULTAN HEKİM DEĞERLENDİRMESİ', 7
) TBIR_SONRAKI_HIZMET_IHTIYACI ON TBIR_SONRAKI_HIZMET_IHTIYACI.ID=USS219.BIR_SONRAKI_HIZMET_IHTIYACI

--<EV_HIJYENI version="1" codeSystemGuid="d26c2f94-5506-4d1e-a138-27e920f61008" code="Code" value="EV_HIJYENI" />
LEFT JOIN
(
 SELECT 'YETERLİ' AD, 1 ID
	UNION ALL
  SELECT 'YETERSİZ' AD, 2 ID
) TEV_HIJYENI ON TEV_HIJYENI.ID=USS219.EV_HIJYENI


--<GUVENLIK version="1" codeSystemGuid="a043c0be-cd98-422c-8ca6-6c3b4872d1c9" code="Code" value="GUVENLIK" />
LEFT JOIN
(
 SELECT 'YETERLİ' AD, 1 ID
	UNION ALL
  SELECT 'YETERSİZ' AD, 2 ID
) TGUVENLIK ON TGUVENLIK.ID=USS219.GUVENLIK


--<ISINMA version="1" codeSystemGuid="28a8a3fc-bea3-4da0-bcd6-d9537d379093" code="Code" value="ISINMA" />
LEFT JOIN
(
SELECT 'ELEKTRİK' AS AD, 1 AS ID
UNION ALL
SELECT 'KALORİFER', 2
UNION ALL
SELECT 'KÖMÜR', 3
UNION ALL
SELECT 'ODUN', 4
UNION ALL
SELECT 'PETROL ÜRÜNLERİ -DOĞALGAZ', 5

) TISINMA ON TISINMA.ID=USS219.ISINMA

--<KISISEL_BAKIM version="1" codeSystemGuid="922fd54a-443f-4b47-9e82-53f9d7f96a0d" code="Code" value="KISISEL_BAKIM" />

LEFT JOIN
(
SELECT 'KENDİSİ' AS AD, 1 AS ID
UNION ALL
SELECT 'AİLESİ', 2
UNION ALL
SELECT 'BAKICISI', 3
UNION ALL
SELECT 'KOMŞUSU', 4
UNION ALL
SELECT 'DİĞER', 98
) TKISISEL_BAKIM ON TKISISEL_BAKIM.ID=USS219.KISISEL_BAKIM
--<KISISEL_HIJYEN version="1" codeSystemGuid="b5366d27-e84c-49c7-ad1f-66ef7636969a" code="Code" value="KISISEL_HIJYEN" />
LEFT JOIN
(
 SELECT 'YETERLİ' AD, 1 ID
	UNION ALL
  SELECT 'YETERSİZ' AD, 2 ID
) TKISISEL_HIJYEN ON TKISISEL_HIJYEN.ID=USS219.KISISEL_HIJYEN
--<KONUT_TIPI version="1" codeSystemGuid="9462baa3-789f-4d54-9475-8d7cd186b408" code="Code" value="KONUT_TIPI" />
LEFT JOIN
(
SELECT 'BAKIMEVİ' AS AD, 1 AS ID
UNION ALL
SELECT 'CEZA VE İNFAZ KURUMU', 2
UNION ALL
SELECT 'HUZUREVİ', 3
UNION ALL
SELECT 'İŞ YERİ VE TİCARETHANE', 4
UNION ALL
SELECT 'KADIN SIĞINMA EVİ', 5
UNION ALL
SELECT 'MESKEN', 6
UNION ALL
SELECT 'OTEL VE MİSAFİRHANE', 7
UNION ALL
SELECT 'YURT', 8
UNION ALL
SELECT 'DİĞER', 98
) TKONUT_TIPI ON TKONUT_TIPI.ID=USS219.KONUT_TIPI
--<KULLANILAN_HELA_TIPI version="1" codeSystemGuid="52d09f03-7eff-47aa-898f-f197e7597904" code="Code" value="KULLANILAN_HELA_TIPI" />
LEFT JOIN 
(
SELECT 'ÇUKURSUZ' AS AD, 1 AS ID
UNION ALL
SELECT 'FOSEPTİK', 2
UNION ALL
SELECT 'HELA YOK', 3
UNION ALL
SELECT 'KANALİZASYONA BAĞLI', 4
UNION ALL
SELECT 'TEK ÇUKURLU', 5

)TKULLANILAN_HELA_TIPI ON TKULLANILAN_HELA_TIPI.ID=USS219.KULLANILAN_HELA_TIPI
--<YATAGA_BAGIMLILIK version="1" codeSystemGuid="7c011fa6-7896-409b-8fc7-9b4f501cc9db" code="Code" value="YATAGA_BAGIMLILIK" />
LEFT JOIN 
(
SELECT 'BAĞIMSIZ' AS AD, 1 AS ID
UNION ALL
SELECT 'TAM BAĞIMLI', 2
UNION ALL
SELECT 'YARI BAĞIMLI', 3

) TYATAGA_BAGIMLILIK ON TYATAGA_BAGIMLILIK.ID=USS219.YATAGA_BAGIMLILIK
LEFT JOIN 
(
SELECT 'DİŞ' AS AD, 1 AS ID
UNION ALL
SELECT 'KOLTUK DEĞNEĞİ / BASTON', 2
UNION ALL
SELECT 'PROTEZ', 3
UNION ALL
SELECT 'TEKERLEKLİ SANDALYE', 4
UNION ALL
SELECT 'WC YÜKSELTİCİ', 5
UNION ALL
SELECT 'WALKER', 6
UNION ALL
SELECT 'KULLANMIYOR', 7
UNION ALL
SELECT 'DİĞER', 98
) TKULLANDIGI_YARDIMCI_ARACLAR ON TKULLANDIGI_YARDIMCI_ARACLAR.ID=USS219.KULLANDIGI_YARDIMCI_ARACLAR
LEFT JOIN 
(
SELECT 'AŞIRI DALGIN' AS AD, 1 AS ID
UNION ALL
SELECT 'HUZURSUZ-GERGİN', 2
UNION ALL
SELECT 'KAYITSIZ', 3
UNION ALL
SELECT 'NORMAL', 4
UNION ALL
SELECT 'ÜZÜNTÜLÜ', 5
UNION ALL
SELECT 'DİĞER', 98
) TPSIKOLOJIK_DURUM_DEGERLENDIRMESI ON TPSIKOLOJIK_DURUM_DEGERLENDIRMESI.ID=USS219.PSIKOLOJIK_DURUM_DEGERLENDIRMESI

LEFT JOIN
(
SELECT 'AİLE EVDE BAKIM EĞİTİMİ' AS AD, 1 AS ID
UNION ALL
SELECT 'BESLENME EĞİTİMİ', 2
UNION ALL
SELECT 'FİZİK TEDAVİ VE REHABİLİTASYON EĞİTİMİ', 3
UNION ALL
SELECT 'PSİKOSOSYAL EĞİTİM', 4
UNION ALL
SELECT 'ORAL HİJYEN BAKIM EĞİTİMİ', 5

) TVERILEN_EGITIMLER ON TVERILEN_EGITIMLER.ID=USS219.VERILEN_EGITIMLER

WHERE USS219.HMUAYENEID= @HMUAYENEID AND USS219.HDOSYAID = @HDOSYAID 


	IF (SELECT COUNT(*) FROM #TMPUSSDIGER) = 0 
	BEGIN
		SET @SAYIHATA = 1
		SET @MESAJ = @MESAJ + 'Gönderilecek kayıt bulunamadı! '
	END

	IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE HDOSYA_SUBEID IS NULL) > 0 
		SET @HATA = @HATA + 'dosyasının şube kaydı bulunamadı! '

	IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE ISNULL(HDOSYA_SNOTAKIPNO,'')='') > 0 
		SET @HATA = @HATA + 'Sağlık Net hasta takip numarası alınmadan USS sistemine kayIT yapılamaz. '

   	IF @HATA='' AND @SAYIHATA=0
	BEGIN		
		SELECT @SUBEID = HDOSYA_SUBEID FROM #TMPUSSDIGER
		DECLARE @TBLXMLBASLIK TABLE (XMLBASLIK NVARCHAR(2000), HATA NVARCHAR(2000),MESAJ NVARCHAR(2000))
		INSERT INTO @TBLXMLBASLIK (XMLBASLIK, HATA, MESAJ) EXEC SPUSS_000_XML_BASLIK @SUBEID		
		SELECT @HATA=HATA, @MESAJ=MESAJ, @XMLBASLIK=XMLBASLIK FROM @TBLXMLBASLIK		
	END



	IF @HATA='' AND @SAYIHATA=0
	BEGIN


		--HER  KARTI AYRI AYRI goNDER DONGUSU
   		DECLARE @CURUSSDIGERID INT
		DECLARE CURUSSDIGER CURSOR FOR SELECT USSDIGER_ID FROM #TMPUSSDIGER
		OPEN CURUSSDIGER
		FETCH NEXT FROM CURUSSDIGER INTO @CURUSSDIGERID
		WHILE @@FETCH_STATUS =0
		BEGIN
		

	
					SET @HATA = ''
					SET @MESAJ = ''
					SET @SAYIHATA = 0

		
					 
					IF EXISTS(SELECT USSDIGER_ID FROM #TMPUSSDIGER WHERE  ISNULL(USSDIGER_ID,0)=0)
						SET @HATA = @HATA + ' ' + 'Kayıt seçilmemiş. '


					IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE USSDIGER_ID=@CURUSSDIGERID) > 0
					BEGIN
						IF @HATA = '' AND @SAYIHATA=0
						BEGIN
							BEGIN TRY 
								INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
								SELECT							 
									(
									
										SELECT 
										   NEWID() AS 'messageGuid/@value',
										   '1' AS 'messageType/@version',
										   '0a9ba485-e7e0-4abb-9c86-0a14fd364bb8' as 'messageType/@codeSystemGuid',
										   '219' AS 'messageType/@code',
										   'Evde Saglik Hizmeti Ilk Izlem Veri Seti' AS 'messageType/@value',
										   LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),GETDATE(),120),' ',''),'-',''),':',''),12) as 'documentGenerationTime/@value',
										   (
											  SELECT	
												 '1' AS 'healthcareProvider/@version',
												 'c3eade04-4f91-5dab-e043-14031b0ac9f9' as 'healthcareProvider/@codeSystemGuid',
												 SAGLIKNETKURUMKODU as 'healthcareProvider/@code',
												 SUBELER_SUBEADI as 'healthcareProvider/@value'  
												 FOR XML PATH('author'), TYPE),
												 --'C740D0288ED4C45FE0407C0A04162BDD' as 'firmaKodu/@value' ,
												 SNOKTSFIRMAKODU as 'firmaKodu/@value' ,
												 (
													SELECT 
														(
														   SELECT 
															  (
																 SELECT 
																   
																    
																   --<AGRI version="1" codeSystemGuid="a87d1c7a-36f1-4950-87a3-0cc1b61c1265" code="Code" value="AGRI" />
																		'1' AS 'AGRI/@version',
																		'a87d1c7a-36f1-4950-87a3-0cc1b61c1265' AS 'AGRI/@codeSystemGuid',
																		ISNULL(AGRI_ID,'')AS 'AGRI/@code',
																		ISNULL(AGRI_ADI,'') AS 'AGRI/@value',
														
																	--<AYDINLATMA version="1" codeSystemGuid="cd2deead-3154-424b-88de-85b38ff63958" code="Code" value="AYDINLATMA" />
																		
																		'1' AS 'AYDINLATMA/@version',
																		'cd2deead-3154-424b-88de-85b38ff63958' AS 'AYDINLATMA/@codeSystemGuid',
																			ISNULL(AYDINLATMA_ID,'')AS 'AYDINLATMA/@code',
																			ISNULL(AYDINLATMA_ADI,'') AS 'AYDINLATMA/@value'  ,
																--<BAKIM_VE_DESTEK_IHTIYACI version="1" codeSystemGuid="9b5502a4-93a7-4594-88e6-3eeaf0c302c1" code="Code" value="BAKIM_VE_DESTEK_IHTIYACI" />
														                '1' AS 'BAKIM_VE_DESTEK_IHTIYACI/@version',
																		'9b5502a4-93a7-4594-88e6-3eeaf0c302c1' AS 'BAKIM_VE_DESTEK_IHTIYACI/@codeSystemGuid',
																			ISNULL(BAKIM_VE_DESTEK_IHTIYACI_ID,'')AS 'BAKIM_VE_DESTEK_IHTIYACI/@code',
																			ISNULL(BAKIM_VE_DESTEK_IHTIYACI_ADI,'') AS 'BAKIM_VE_DESTEK_IHTIYACI/@value'  ,
														                 


																	--<BASI_DEGERLENDIRMESI version="1" codeSystemGuid="26f3177d-b761-4e29-bbbc-b4fac7df3322" code="Code" value="BASI_DEGERLENDIRMESI" />
																	'1' AS 'BASI_DEGERLENDIRMESI/@version',
																		'26f3177d-b761-4e29-bbbc-b4fac7df3322' AS 'BASI_DEGERLENDIRMESI/@codeSystemGuid',
																			ISNULL(BASI_DEGERLENDIRMESI_ID,'')AS 'BASI_DEGERLENDIRMESI/@code',
																			ISNULL(BASI_DEGERLENDIRMESI_ADI,'') AS 'BASI_DEGERLENDIRMESI/@value'  ,

																	--<BASVURU_TURU version="1" codeSystemGuid="8f04bf30-3501-4080-91df-458e20917be2" code="Code" value="BASVURU_TURU" />
																	'1' AS 'BASVURU_TURU/@version',
																		'8f04bf30-3501-4080-91df-458e20917be2' AS 'BASVURU_TURU/@codeSystemGuid',
																			ISNULL(BASVURU_TURU_ID,'')AS 'BASVURU_TURU/@code',
																			ISNULL(BASVURU_TURU_ADI,'') AS 'BASVURU_TURU/@value'  ,

																	--<BESLENME version="1" codeSystemGuid="6a220e1d-3865-4cab-b98f-b7933d9aa1ba" code="Code" value="BESLENME" />
																	--<BIR_SONRAKI_HIZMET_IHTIYACI version="1" codeSystemGuid="1ac7dc71-e09d-4ddd-bea5-179735d35246" code="Code" value="BIR_SONRAKI_HIZMET_IHTIYACI" />
																	--<EVDE_SAGLIK_HIZMETINE_ESAS_HASTALIK_GRUBU version="1" codeSystemGuid="c3eaabad-8c4c-56ee-e043-14031b0a5530" code="Code" value="EVDE_SAGLIK_HIZMETINE_ESAS_HASTALIK_GRUBU" />
																	--<EV_HIJYENI version="1" codeSystemGuid="d26c2f94-5506-4d1e-a138-27e920f61008" code="Code" value="EV_HIJYENI" />
																	--<GUVENLIK version="1" codeSystemGuid="a043c0be-cd98-422c-8ca6-6c3b4872d1c9" code="Code" value="GUVENLIK" />
																	--<ISINMA version="1" codeSystemGuid="28a8a3fc-bea3-4da0-bcd6-d9537d379093" code="Code" value="ISINMA" />
																	--<KISISEL_BAKIM version="1" codeSystemGuid="922fd54a-443f-4b47-9e82-53f9d7f96a0d" code="Code" value="KISISEL_BAKIM" />
																	--<KISISEL_HIJYEN version="1" codeSystemGuid="b5366d27-e84c-49c7-ad1f-66ef7636969a" code="Code" value="KISISEL_HIJYEN" />
																	--<KONUT_TIPI version="1" codeSystemGuid="9462baa3-789f-4d54-9475-8d7cd186b408" code="Code" value="KONUT_TIPI" />
																	--<KULLANILAN_HELA_TIPI version="1" codeSystemGuid="52d09f03-7eff-47aa-898f-f197e7597904" code="Code" value="KULLANILAN_HELA_TIPI" />
																	--<YATAGA_BAGIMLILIK version="1" codeSystemGuid="7c011fa6-7896-409b-8fc7-9b4f501cc9db" code="Code" value="YATAGA_BAGIMLILIK" />
                                                                   --<BESLENME ... />
																	'1' AS 'BESLENME/@version',
																	'6a220e1d-3865-4cab-b98f-b7933d9aa1ba' AS 'BESLENME/@codeSystemGuid',
																	ISNULL(BESLENME_ID,'') AS 'BESLENME/@code',
																	ISNULL(BESLENME_ADI,'') AS 'BESLENME/@value',

																	--<BIR_SONRAKI_HIZMET_IHTIYACI ... />
																	'1' AS 'BIR_SONRAKI_HIZMET_IHTIYACI/@version',
																	'1ac7dc71-e09d-4ddd-bea5-179735d35246' AS 'BIR_SONRAKI_HIZMET_IHTIYACI/@codeSystemGuid',
																	ISNULL(BIR_SONRAKI_HIZMET_IHTIYACI_ID,'') AS 'BIR_SONRAKI_HIZMET_IHTIYACI/@code',
																	ISNULL(BIR_SONRAKI_HIZMET_IHTIYACI_ADI,'') AS 'BIR_SONRAKI_HIZMET_IHTIYACI/@value',

																	--<EVDE_SAGLIK_HIZMETINE_ESAS_HASTALIK_GRUBU ... />
																	'1' AS 'EVDE_SAGLIK_HIZMETINE_ESAS_HASTALIK_GRUBU/@version',
																	'c3eaabad-8c4c-56ee-e043-14031b0a5530' AS 'EVDE_SAGLIK_HIZMETINE_ESAS_HASTALIK_GRUBU/@codeSystemGuid',
																	ISNULL(EVDE_SAGLIK_HIZMETINE_ESAS_HASTALIK_GRUBU_ID,'') AS 'EVDE_SAGLIK_HIZMETINE_ESAS_HASTALIK_GRUBU/@code',
																	ISNULL(EVDE_SAGLIK_HIZMETINE_ESAS_HASTALIK_GRUBU_ADI,'') AS 'EVDE_SAGLIK_HIZMETINE_ESAS_HASTALIK_GRUBU/@value',

																	--<EV_HIJYENI ... />
																	'1' AS 'EV_HIJYENI/@version',
																	'd26c2f94-5506-4d1e-a138-27e920f61008' AS 'EV_HIJYENI/@codeSystemGuid',
																	ISNULL(EV_HIJYENI_ID,'') AS 'EV_HIJYENI/@code',
																	ISNULL(EV_HIJYENI_ADI,'') AS 'EV_HIJYENI/@value',

																	--<GUVENLIK ... />
																	'1' AS 'GUVENLIK/@version',
																	'a043c0be-cd98-422c-8ca6-6c3b4872d1c9' AS 'GUVENLIK/@codeSystemGuid',
																	ISNULL(GUVENLIK_ID,'') AS 'GUVENLIK/@code',
																	ISNULL(GUVENLIK_ADI,'') AS 'GUVENLIK/@value',

																	--<ISINMA ... />
																	'1' AS 'ISINMA/@version',
																	'28a8a3fc-bea3-4da0-bcd6-d9537d379093' AS 'ISINMA/@codeSystemGuid',
																	ISNULL(ISINMA_ID,'') AS 'ISINMA/@code',
																	ISNULL(ISINMA_ADI,'') AS 'ISINMA/@value',

																	--<KISISEL_BAKIM ... />
																	'1' AS 'KISISEL_BAKIM/@version',
																	'922fd54a-443f-4b47-9e82-53f9d7f96a0d' AS 'KISISEL_BAKIM/@codeSystemGuid',
																	ISNULL(KISISEL_BAKIM_ID,'') AS 'KISISEL_BAKIM/@code',
																	ISNULL(KISISEL_BAKIM_ADI,'') AS 'KISISEL_BAKIM/@value',

																	--<KISISEL_HIJYEN ... />
																	'1' AS 'KISISEL_HIJYEN/@version',
																	'b5366d27-e84c-49c7-ad1f-66ef7636969a' AS 'KISISEL_HIJYEN/@codeSystemGuid',
																	ISNULL(KISISEL_HIJYEN_ID,'') AS 'KISISEL_HIJYEN/@code',
																	ISNULL(KISISEL_HIJYEN_ADI,'') AS 'KISISEL_HIJYEN/@value',

																	--<KONUT_TIPI ... />
																	'1' AS 'KONUT_TIPI/@version',
																	'9462baa3-789f-4d54-9475-8d7cd186b408' AS 'KONUT_TIPI/@codeSystemGuid',
																	ISNULL(KONUT_TIPI_ID,'') AS 'KONUT_TIPI/@code',
																	ISNULL(KONUT_TIPI_ADI,'') AS 'KONUT_TIPI/@value',

																	--<KULLANILAN_HELA_TIPI ... />
																	'1' AS 'KULLANILAN_HELA_TIPI/@version',
																	'52d09f03-7eff-47aa-898f-f197e7597904' AS 'KULLANILAN_HELA_TIPI/@codeSystemGuid',
																	ISNULL(KULLANILAN_HELA_TIPI_ID,'') AS 'KULLANILAN_HELA_TIPI/@code',
																	ISNULL(KULLANILAN_HELA_TIPI_ADI,'') AS 'KULLANILAN_HELA_TIPI/@value',

																	--<YATAGA_BAGIMLILIK ... />
																	'1' AS 'YATAGA_BAGIMLILIK/@version',
																	'7c011fa6-7896-409b-8fc7-9b4f501cc9db' AS 'YATAGA_BAGIMLILIK/@codeSystemGuid',
																	ISNULL(YATAGA_BAGIMLILIK_ID,'') AS 'YATAGA_BAGIMLILIK/@code',
																	ISNULL(YATAGA_BAGIMLILIK_ADI,'') AS 'YATAGA_BAGIMLILIK/@value',


																--***************************************************************************
																		(SELECT 
																		'1' AS 'KULLANDIGI_YARDIMCI_ARACLAR/@version',
																		'1435482c-1a3f-4f2d-b692-77c06f3827cd' AS 'KULLANDIGI_YARDIMCI_ARACLAR/@codeSystemGuid',
																			ISNULL(KULLANDIGI_YARDIMCI_ARACLAR_ID,'')AS 'KULLANDIGI_YARDIMCI_ARACLAR/@code',
																			ISNULL(KULLANDIGI_YARDIMCI_ARACLAR_ADI,'') AS 'KULLANDIGI_YARDIMCI_ARACLAR/@value'
																			FOR XML PATH('KULLANDIGI_YARDIMCI_ARACLAR_BILGISI'),TYPE),

                                                                          (SELECT 
																		'1' AS 'PSIKOLOJIK_DURUM_DEGERLENDIRMESI/@version',
																		'8ed2e8ce-b1fe-49f6-91ac-8f3340deac9d' AS 'PSIKOLOJIK_DURUM_DEGERLENDIRMESI/@codeSystemGuid',
																			ISNULL(PSIKOLOJIK_DURUM_DEGERLENDIRMESI_ID,'')AS 'PSIKOLOJIK_DURUM_DEGERLENDIRMESI/@code',
																			ISNULL(PSIKOLOJIK_DURUM_DEGERLENDIRMESI_ADI,'') AS 'PSIKOLOJIK_DURUM_DEGERLENDIRMESI/@value'
																			FOR XML PATH('PSIKOLOJIK_DURUM_DEGERLENDIRMESI_BILGISI'),TYPE),

                                                                          (SELECT 
																		'1' AS 'VERILEN_EGITIMLER/@version',
																		'79aaa967-1886-4d9d-a5d8-cdde552d94ad' AS 'VERILEN_EGITIMLER/@codeSystemGuid',
																			ISNULL(VERILEN_EGITIMLER_ID,'')AS 'VERILEN_EGITIMLER/@code',
																			ISNULL(VERILEN_EGITIMLER_ADI,'') AS 'VERILEN_EGITIMLER/@value'
																			FOR XML PATH('VERILEN_EGITIMLER_BILGISI'),TYPE)
 		
																FROM #TMPUSSDIGER
																
																FOR XML PATH(''),TYPE
															)
														FOR XML PATH('EVDE_SAGLIK_HIZMETI_ILK_IZLEM'),TYPE
													),					
													   (
														SELECT ISNULL(HDOSYA_SNOTAKIPNO, '' ) AS 'SYSTakipNo/@value'
														FOR XML PATH('HASTA_TAKIP_BILGISI'), TYPE 
													)							
												 FOR XML PATH('recordData'), TYPE
											  )
										   FROM #TMPUSSDIGER WITH(NOLOCK)
										   WHERE USSDIGER_ID = @CURUSSDIGERID
										FOR XML PATH (''), ROOT('SYSMessage')


									) AS goNDERILECEKXML,
									@HATA AS HATA, 
									@MESAJ AS MESAJ,
									@XMLBASLIK AS XMLBASLIK,
									@CURUSSDIGERID AS TABLOID,
									0 AS MINID,
									0 AS MAXID

							END TRY
							BEGIN CATCH
								SET @HATA = ERROR_MESSAGE()
								IF @HATA = ''
									SET @HATA = 'Bilinmeyen bir hata oluştu'

								INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
								SELECT	'' AS goNDERILECEKXML,
										@HATA AS HATA, 
										@MESAJ AS MESAJ,
										'' AS XMLBASLIK,
										@CURUSSDIGERID AS TABLOID,
										0 AS MINID,
										0 AS MAXID
			

							END CATCH
						END
						ELSE
						BEGIN

							INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
							SELECT	'' AS goNDERILECEKXML,
									LEFT(@HATA,2000) AS HATA, 
									@MESAJ AS MESAJ,
									'' AS XMLBASLIK,
									@CURUSSDIGERID AS TABLOID,
									0 AS MINID,
									0 AS MAXID

							SET @HATA = ''		 
						END
					END




		FETCH NEXT FROM CURUSSDIGER INTO @CURUSSDIGERID 
		END --son HER TETKIK KARTI AYRI AYRI goNDER DONGUSU
	

		CLOSE CURUSSDIGER
		DEALLOCATE CURUSSDIGER

		IF (SELECT COUNT(*) FROM @GONDERIMTABLOSU)=0
			INSERT INTO @GONDERIMTABLOSU (GONDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
			SELECT	'' AS GONDERILECEKXML,
					'' AS HATA, 
					'Tüm KAYITLAR zaten gönderilmiş' AS MESAJ,
					'' AS XMLBASLIK,
					0 AS TABLOID,
					0 AS MINID,
					0 AS MAXID


	END
	ELSE
	BEGIN

		INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
		SELECT	'' AS goNDERILECEKXML,
				LEFT(@HATA,2000) AS HATA, 
				@MESAJ AS MESAJ,
				'' AS XMLBASLIK,
				@CURUSSDIGERID AS TABLOID,
				0 AS MINID,
				0 AS MAXID

		SET @HATA = ''		 
	END


	
	IF OBJECT_ID('tempdb..#TMPUSSDIGER') IS NOT NULL 
	DROP TABLE #TMPUSSDIGER

	

	SELECT * FROM @goNDERIMTABLOSU


END
